-- /packages/intranet-filestorage-size-indicator/sql/postgresql/intranet-filestorage-size-indicator-create.sql
--
-- Copyright (c) 2015 ]project-open[ (Project Open Business Solutions, S.L.)
--
-- All rights reserved. Please check
-- http://www.project-open.com/en/project-open-license-commercial
--
-- @author frank.bergmann@project-open.com


-----------------------------------------------------------
-- Create Indicator for available space


create or replace function inline_0 ()
returns integer as $body$
DECLARE
	v_id			integer;
	v_space			integer;
	v_report_code		varchar;
BEGIN
	v_space := 5120;
	v_report_code := 'po_file_storage_space';

	select report_id into v_id from im_reports where report_code = v_report_code;
	IF v_id is null THEN
		v_id := im_indicator__new(
			null, 'im_indicator', now(), 0, '', null,
			'File storage space occupied',
			v_report_code,
			15110,
			15000,
			'select attr_value from apm_parameter_values where parameter_id in (
				select	parameter_id
				from	apm_parameters
				where	package_key = ''intranet-filestorage-size-indicator'' and
					parameter_name = ''CurrentlyOccupiedSpaceMB''
			)',
	
			0,
			v_space,
			50
		);
	END IF;

	update im_indicators set
		indicator_section_id = 15245,
		indicator_high_warn = v_space * 0.8,
		indicator_high_critical = v_space * 0.9
	where indicator_id = v_id;

	update im_reports set
		report_description = 'Measures the available space in the file storage.'
	where report_id = v_id;

	return 0;
end; $body$ language 'plpgsql';
select inline_0 ();
drop function inline_0 ();
